Subject: bug#12245: 24.2.50; Image height scaled to fill whole line

From: Ivan Andrus <[email-masked]>
Date: Wed, 22 Aug 2012 10:39:47 +0200

On Aug 21, 2012, at 8:05 PM, Eli Zaretskii wrote:

>> From: Ivan Andrus <[email-masked]>
>> Date: Tue, 21 Aug 2012 12:20:09 +0200
>> 
>> I would bisect it, but I have never been able to get `bzr bisect` to
>> work.
> 
> What did you try, and how did it not work for you?

I couldn't find my notes on it, and so I tried again.  Of course this time it worked.  Last time I was trying to use it on the emacs24 branch which perhaps was the problem.  

Anyway, I got it figured out and it was introduced by revision 109331:

$ bzr log -r 109331
------------------------------------------------------------
revno: 109331
committer: Jan D. <[email-masked]>
branch nick: trunk
timestamp: Tue 2012-07-31 18:19:03 +0200
message:
  Fix compiler and run time warnings in nsmenu.m and nsterm.m
  
  *  nsfns.m, nsmenu.m, msterm.m: Adopt to struct frame/FVAR changes.
  
  * nsmenu.m (update_frame_tool_bar): Change key from NSObject* to id.
  
  * nsterm.m (ns_draw_fringe_bitmap, ns_dumpglyphs_image): Use drawInRect
  instead of compositeToPoint.
  (applicationShouldTerminate): Pass NS String literal to NSRunAlertPanel.

-Ivan